<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <title>邀请中心 — {$config["appName"]}</title>
    {include file='user/header.tpl'}

    <!-- BEGIN: Content-->
    <div class="app-content content">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-left mb-0">邀请注册</h2>
                            <div class="breadcrumb-wrapper col-12">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="/user">Home</a>
                                    </li>
                                    <li class="breadcrumb-item"><a href="/user/invite">Generalize</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-header-left">
                                <p>累计获得返利金额</p>
                                <h3 class="text-primary">¥ {$user->back_money}</h3>
                                <p></p>
                            </div>
                            <div class="card-header-right">
                                <p>剩余邀请次数</p>
                                <h3 class="text-primary">{$user->invite_num} 次</h3>
                                <p></p>
                            </div>
                        </div>
                        <hr />
                        <div class="card-body pt-1">
                            <div class="row">
                                <div class="col-xl-12">
                                    <p class="alert btn-primary" style="padding:5px;display:block;text-align:center">{$config["baseUrl"]}/auth/register?code={$code->code}</p>
                                    <a class="btn btn-outline-danger f-left" style="padding-right:1rem;padding-left:1rem;" data-toggle="modal" data-target="#reset-invite-modal">
                                        <i class="fa fa-repeat"> 重置邀请链接</i>
                                    </a>
                                    <a class="btn btn-outline-primary copy-text" style="padding-right:1rem;padding-left:1rem;float:right" data-clipboard-text="{$config["baseUrl"]}/auth/register?code={$code->code}">
                                        <i class="fa fa-link"> 复制邀请链接</i>
                                    </a>
                                </div>
                                {if $config['invite_price']>=0 || $config['custom_invite_price']>=0}
                                    <div class="col-xl-12 pt-1">
                                        {if $config['invite_price']>=0}
                                            <a class="btn btn-primary" data-toggle="modal" data-target="#buy-invite-modal">购买邀请次数</a>
                                        {/if}
                                        {if $config['custom_invite_price']>=0}
                                            <a class="btn btn-primary" {if $config['invite_price']>=0}style="padding-right:1rem;padding-left:1rem;float:right"{/if} data-toggle="modal" data-target="#custom-invite-modal">定制邀请链接</a>
                                        {/if}
                                    </div>
                                {/if}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xl-12">
                    <div class="card">
                         <div class="card-header">
                             <ul class="nav nav-pills">
                                 <li class="nav-item mr-1 mr-md-0"> <a href="#nav-tab-1" class="nav-link d-flex py-75 active" data-toggle="tab"> <span>邀请记录</span> </a> </li>
                                 <li class="nav-item mr-1 mr-md-0"> <a href="#nav-tab-2" class="nav-link d-flex py-75" data-toggle="tab"> <span>返利记录</span> </a> </li>
                             </ul>
                         </div>
                         <div class="card-body">
                            {if $config['code_payback'] > 0}
                                <p class="mb-1">每邀请一位用户并充值将得到TA的充值金额<code>{if $user->rebate > 0}{$user->rebate}%{else}{$config["code_payback"]}%{/if}</code>的返利。</p>
                            {/if}

                             <div class="tab-content">
                                 <div class="tab-pane active" id="nav-tab-1">
                                     <div class="table-responsive">
                                         <table class="table table-striped table-md">
                                             <tbody>
                                                 <tr>
                                                     <th scope="col">被邀请用户ID</th>
                                                     <th scope="col">用户邮箱</th>
                                                     <th scope="col">注册时间</th>
                                                 </tr> {if count($invite_user) == 0}
                                                 <tr>
                                                     <td colspan="3"><strong>无邀请记录</strong></td>
                                                 </tr> {else} {foreach $invite_user as $invite_users}
                                                 <tr>
                                                     <td>{$invite_users->id}</td>
                                                     <td>{$invite_users->email}</td>
                                                     <td>{$invite_users->reg_date}</td>
                                                 </tr> {/foreach} {/if}
                                             </tbody>
                                         </table>
                                     </div>
                                     <div class="pagination-render float-right">
                                         {$invite_user->render}
                                     </div>
                                 </div>
                                 <div class="tab-pane" id="nav-tab-2">
                                     <div class="table-responsive">
                                         <table class="table table-striped table-md">
                                             <tbody>
                                                 <tr>
                                                     <th scope="col">ID</th>
                                                     <th scope="col">被邀ID</th>
                                                     <th scope="col">获得返利</th>
                                                     <th scope="col">返利时间</th>
                                                 </tr> {if count($paybacks) == 0}
                                                 <tr>
                                                     <td colspan="3"><strong>无返利记录</strong></td>
                                                 </tr> {else} {foreach $paybacks as $payback}
                                                 <tr>
                                                     <td>{$payback->id}</td>
                                                     <td>{$payback->userid}</td>
                                                     <td>{$payback->ref_get} 元</td>
                                                     <td>{date('Y-m-d H:i:s', $payback->datetime)}</td>
                                                 </tr> {/foreach} {/if}
                                             </tbody>
                                         </table>
                                     </div>
                                     <div class="pagination-render float-right">
                                         {$paybacks->render}
                                     </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    <!-- 工单提现 -->
    <div class="modal fade" tabindex="-1" role="dialog" id="request-withdraw-modal" style="display: none;" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">创建提现申请</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <p>由于安全原因，当前仅接受拥有有效套餐的用户的提现申请<br /><br />通过 &middot; <a href="/user/ticket">工单支持</a> &middot; 来进行提现<br /><br />工单内容请填写准确的收款支付宝账号+提现金额<br /><br />当您申请提现后,我们会在1天内处理您的提现申请并回复</p>
                    </div>
                </div>
                <div class="modal-footer bg-whitesmoke br">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                </div>
            </div>
        </div>
    </div>

    <!-- 重置链接 -->
    <div class="modal fade" tabindex="-1" role="dialog" id="reset-invite-modal">
        <div class="modal-dialog modal-dialog-centered modal-dialog-centered modal-dialog-scrollable" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">重置邀请链接</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>确定要要重置邀请链接吗？点击确定后会重置并自动刷新本页。</p>
                </div>
                <div class="modal-footer bg-whitesmoke br">
                    <a type="button" class="btn btn-primary" style="color:white" id="reset-link">确定</a>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                </div>
            </div>
        </div>
    </div>

    <!-- 购买链接 -->
    {if $config['invite_price']>=0}
    <div class="modal fade" tabindex="-1" role="dialog" id="buy-invite-modal">
        <div class="modal-dialog modal-dialog-centered modal-dialog-centered modal-dialog-scrollable" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">购买邀请次数</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <p>价格为 <code>{$config['invite_price']}</code> 元 / 次</p>
                        <label>请输入想要购买的次数</label>
                        <input id="buy-invite-num" type="number" class="form-control">
                    </div>
                </div>
                <div class="modal-footer bg-whitesmoke br">
                    <button type="button" class="btn btn-primary" onclick="buy_Invite()">确定</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                </div>
            </div>
        </div>
    </div>
    {/if}

    {if $config['custom_invite_price']>=0}
    <div class="modal fade" tabindex="-1" role="dialog" id="custom-invite-modal">
        <div class="modal-dialog modal-dialog-centered modal-dialog-centered modal-dialog-scrollable" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">定制邀请链接</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <p>价格为 <code>{$config['custom_invite_price']}</code> 元 / 次</p>
                        <label>输入链接后缀</label>
                        <input id="custom-invite-link" type="text" class="form-control">
                    </div>
                </div>
                <div class="modal-footer bg-whitesmoke br">
                    <button type="button" class="btn btn-primary" onclick="custom_invite_confirm()">确定</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                </div>
            </div>
        </div>
    </div>
    {/if}
    <!-- END: Content-->

    <!-- BEGIN: Footer-->
    {include file='user/footer.tpl'}
    <!-- END: Footer-->

    </body>
</html>
